> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue a device-related message to a user

> Use the same device-bound information-cue flow as the Django admin action.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/users/{user_id}/notifications/information
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/notifications/information:
    post:
      tags:
        - User Notifications
      summary: Queue a device-related message to a user
      description: >-
        Use the same device-bound information-cue flow as the Django admin
        action.
      operationId: >-
        integrations_api_api_v2_organizations_users_notifications_router_queue_user_message
      parameters:
        - in: path
          name: org_id
          schema:
            description: The ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The ID of the user's organization
        - in: path
          name: user_id
          schema:
            description: The ID of the message recipient
            format: uuid
            title: User Id
            type: string
          required: true
          description: The ID of the message recipient
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendUserMessageInput'
        required: true
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendUserMessageOutput'
      security:
        - OAuth2: []
components:
  schemas:
    SendUserMessageInput:
      properties:
        device_id:
          description: The active device the message relates to.
          format: uuid
          title: Device Id
          type: string
        message:
          description: The message shown to the user.
          maxLength: 2000
          minLength: 1
          title: Message
          type: string
      required:
        - device_id
        - message
      title: SendUserMessageInput
      type: object
    SendUserMessageOutput:
      properties:
        cue_id:
          description: The queued information cue id.
          format: uuid
          title: Cue Id
          type: string
      required:
        - cue_id
      title: SendUserMessageOutput
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````